Open CASCADE Technology: NCollection_TListNode< TheItemType > Class Template Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions | Protected Attributes
NCollection_TListNode< TheItemType > Class Template Reference

`#include <NCollection_TListNode.hxx>`

Inheritance diagram for NCollection_TListNode< TheItemType >:
[legend]

## Public Member Functions
| NCollection_TListNode (const TheItemType &theItem, NCollection_ListNode *theNext=NULL)
| Constructor. More...
const TheItemType & | Value () const
| Constant value access. More...
TheItemType & | ChangeValue ()
| Variable value access. More...
Public Member Functions inherited from NCollection_ListNode
| NCollection_ListNode (NCollection_ListNode *theNext)
| The only constructor. More...
NCollection_ListNode *& | Next (void)
| Next pointer access. More...
NCollection_ListNode * | Next (void) const
| Next pointer const access. More...

## Static Public Member Functions
static void | delNode (NCollection_ListNode *theNode, Handle< NCollection_BaseAllocator > &theAl)
| Static deleter to be passed to BaseList. More...

## Protected Attributes
TheItemType | myValue
| The item stored in the node. More...

## Detailed Description

### template<class TheItemType>
class NCollection_TListNode< TheItemType >

Purpose: Abstract list node class. Used by BaseList Remark: Internal class

## Constructor & Destructor Documentation

template<class TheItemType>

NCollection_TListNode< TheItemType >::NCollection_TListNode | ( | const TheItemType & | theItem,
|  | NCollection_ListNode * | theNext = `NULL`
| ) |  |
| inline

Constructor.

## Member Function Documentation

template<class TheItemType>

TheItemType& NCollection_TListNode< TheItemType >::ChangeValue | ( |  | ) |
| inline

Variable value access.

template<class TheItemType>

static void NCollection_TListNode< TheItemType >::delNode | ( | NCollection_ListNode * | theNode,
|  | Handle< NCollection_BaseAllocator > & | theAl
| ) |  |
| inlinestatic

Static deleter to be passed to BaseList.

template<class TheItemType>

const TheItemType& NCollection_TListNode< TheItemType >::Value | ( |  | ) | const
| inline

Constant value access.

## Field Documentation

template<class TheItemType>

TheItemType NCollection_TListNode< TheItemType >::myValue
| protected

The item stored in the node.

The documentation for this class was generated from the following file:

- NCollection_TListNode.hxx